#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Sub
%define	pnam	Override
Summary:	Sub::Override - Perl extension for easily overriding subroutines
Summary(pl.UTF-8):	Sub::Override - rozszerzenie Perla do łatwego przykrywania procedur
Name:		perl-Sub-Override
Version:	0.09
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sub/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6889e2526c0e4f70da157fdf712542d3
URL:		http://search.cpan.org/dist/Sub-Override/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Exception >= 0.15
BuildRequires:	perl-Test-Simple >= 0.47
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sometimes subroutines need to be overridden. In fact, your author does
this constantly for tests. Particularly when testing, using a Mock
Object can be overkill when all you want to do is override one tiny,
little function.

Sub::Override allows the programmer to simply name the sub to replace
and to supply a sub to replace it with.

%description -l pl.UTF-8
Czasem procedura musi zostać przykryta. W praktyce autor robi to stale
dla testów. W szczególności przy testowaniu używanie obiektu Mock może
być nadmiarowe, gdy wszystko co chcemy, to przykryć jedną małą,
maleńką funkcję.

Sub::Override umożliwia programiście prosto nazwać funkcję do
zastąpienia i dostarczyć funkcję do zastąpienia jej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Sub/Override.pm
%{_mandir}/man3/Sub::Override.3pm*
%changelog
* Wed Nov 21 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Sub-Override.git;a=log;h=master

* Wed Nov 21 2018 Adam Gołębiowski <adamg@pld-linux.org> 1eb1022
- updated to 0.09

* Tue Dec 07 2010 Jakub Bogusz <qboosh@pld-linux.org> 1b7b9a1
- generic URL

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 679ef69
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5dde75c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b642342
- converted to UTF-8

* Sat Nov 26 2005 Karol Krenski <charles@pld-linux.org> 142cbfb
- updated to 0.08

* Wed Dec 15 2004 Jakub Bogusz <qboosh@pld-linux.org> 563e5b2
- fixed typo in version in last changelog entry

* Sun Dec 12 2004 Adam Gołębiowski <adamg@pld-linux.org> 6b3b4af
- updated to 0.06

* Wed Dec 01 2004 Jakub Bogusz <qboosh@pld-linux.org> 00d2920
- pl

* Wed Dec 01 2004 radek <radek@pld-linux.org> 05d0c9e
- new

